22 июля 2011 г.

Instant Messenger'ы в Linux. Сборка qutIM 0.3 beta в openSUSE 11.4

По моему сугубо личному мнению, в Linux, если рассматривать его как систему для десктопного использования, существует две бросающихся в глаза проблемы: отсутствие приятных в использовании мультимедиа проигрывателей и отсутствие таких же приятных Instant Messenger'ов. В этой статье я хочу поговорить о последних.

Не знаю кому как, но мне всем известные Kopete и Pidgin кажутся страшненькими и неудобными. Хочется что-то попроще, но симпатичное. Что-то вроде того, чем раньше был QIP, только многопротокольное. И достаточно давно я открыл для себя qutIM. Думаю, что сегодня у него уже достаточно много пользователей. Первая версия, которую я себе поставил была 0.1 (то ли альфа то ли бета). Когда я её увидел, то сразу понял, что это то, чего мне так не хватало для счастья. Конечно, глючило это создание прилично, но мне было всё равно, главное, что глаз радовало.

Потом была версия 0.2, её я и использую до сих пор. Глючит вроде поменьше и в целом стало лучше. Хочется сказать огромное спасибо ребятам, которые в своё свободное время продолжают развивать этот проект.

Несколько дней назад я решил попробовать 0.3 beta, и тут меня поджидало разочарование. Внешне всё сильно изменилось, и для меня не в лучшую сторону. Вдобавок появилось очень много новеньких глюков. Понятно, конечно, что это бета-версия, но дело даже не в глюках. Я по-прежнему готов с ними мириться. Такое чувство, что проект пошел в ту же сторону, где сидят Kopete и Pidgin. Я говорю, главным образом, о простоте и органичности интерфейса, а также о понятности настроек. Пока что я решил остаться на версии 0.2, но продолжу следить за проектом, вдруг снова станет лучше. А пока расскажу, как собрать 0.3b в openSUSE 11.4, и делается это довольно просто, что приятно.

Сначала ставим все необходимые для сборки пакеты:

zypper install cmake make gcc git libqt4 libqt4-devel xscreensaver libidn libidn-devel libpurple-devel libqca2 libqca2-devel cyrus-sasl cyrus-sasl-devel libQtWebKit4 libQtWebKit-devel

Создаем себе какой-нибудь каталог и переходим в него, например:

mkdir ~/SRC
cd ~/SRC

Тащим исходники с git-репозитория:

git clone git://github.com/euroelessar/qutim.git
cd qutim
git submodule update --init --recursive

На вики qutIM сказано, что если при выполнении git submodule update --init --recursive возникают ошибки, то необходимо запустить команду еще раз. У меня ошибок не было.

Создаем каталог для билда и переходим в него, например:

mkdir ~/SRC/qutim-build
cd ~/SRC/qutim-build

Запускаем cmake:

cmake ~/SRC/qutim

Сначала я не установил пакет libQtWebKit-devel и cmake руганулся так:

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QT_QTDECLARATIVE_INCLUDE_DIR (ADVANCED)
used as include directory in directory /home/eqlbin/SRC/qutim/plugins/qmlchat
QT_QTWEBKIT_INCLUDE_DIR (ADVANCED)
used as include directory in directory /home/eqlbin/SRC/qutim/core/src/corelayers/kineticscroller
used as include directory in directory /home/eqlbin/SRC/qutim/core/src/corelayers/adiumchat/chatfactories/webkitchat
QT_QTXMLPATTERNS_INCLUDE_DIR (ADVANCED)
used as include directory in directory /home/eqlbin/SRC/qutim/plugins/yandexnarod

-- Configuring incomplete, errors occurred!

Если у вас происходит нечто вроде этого, то внимательно посмотрев на имена директорий выше, можно понять какие плагины не хотят собираться. В таком случае их можно отключить, запустив cmake следующим образом:

cmake -DQMLCHAT=0 -DYANDEXNAROD=0 ~/SRC/qutim

Если же cmake прошел удачно, то запускаем make:

make

Для установки необходимо выполнить make install с правами root:

make install

Теперь можно запустить qutIM из командной строки:

qutim

В заключении хочу сказать, что около года назад я начал следить ещё за одним довольно интересным проектом MDC. Это также мультипротокольный месенджер, который выглядит немного странно, на мой взгляд, но очень даже достойно. На официальном сайте есть статическая сборка, которая на openSUSE 11.4 запускается без проблем, хотя глюки в работе тоже случаются, конечно, куда же без них :)

Комментариев нет:

Отправить комментарий